Claim rewards on behalf of the user
POST/api/users/by-id/:userId/rewards/claim
Claim rewards on behalf of the user. The whole unclaimed confirmed amount is paid out as the selected product, so it must be at least $1 and within the product's minAmount and maxAmount (see GET /api/rewards/products?userId=...).
Request
Path Parameters
Query Parameters
Default value: en
Responses
- 200
- 400
- 401
- 403
- 404
- 429
- 500
The link to claim the reward.
- application/json
- Schema
- Example (from schema)
Schema
Link for user to claim the reward
{
"rewardDeliveryLink": "string"
}
Invalid parameters. Possible error codes
-
ERROR_INVALID_PARAMETERS
-
ERROR_INVALID_REWARD_PRODUCT
-
ERROR_REWARD_ABOVE_PRODUCT_MAXIMUM
- application/json
- Schema
- Example (from schema)
Schema
Error code
A verbose error message
{
"error_code": "string",
"error_message": "string"
}
Authorization error e.g. due to an invalid or missing API keys.
Forbidden. Possible error codes
-
ERROR_NO_PERMISSIONS_TO_RESOURCE
- application/json
- Schema
- Example (from schema)
Schema
Error code
A verbose error message
{
"error_code": "string",
"error_message": "string"
}
User not found. Possible error codes
-
ERROR_USER_NOT_FOUND
- application/json
- Schema
- Example (from schema)
Schema
Error code
A verbose error message
{
"error_code": "string",
"error_message": "string"
}
Too many claims right now; try again later. Possible error codes
-
ERROR_CLAIM_LIMIT_REACHED
- application/json
- Schema
- Example (from schema)
Schema
Error code
A verbose error message
{
"error_code": "string",
"error_message": "string"
}
Internal error. Possible error codes
-
INTERNAL_SERVER_ERROR
-
ERROR_MINIMUM_REWARD_THRESHOLD_NOT_MET,
-
ERROR_NO_CONFIRMED_REWARDS,
-
ERROR_CLAIMING_REWARDS
- application/json
- Schema
- Example (from schema)
Schema
Error code
A verbose error message
{
"error_code": "string",
"error_message": "string"
}